package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteReq;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteVo;
import com.qmth.exam.reserve.entity.ExamRoomEntity;
import com.qmth.exam.reserve.entity.TimePeriodExamRoomEntity;

import java.util.List;

public interface TimePeriodExamRoomService extends IService<TimePeriodExamRoomEntity> {

    List<TimePeriodExamSiteVo> ListDetail(LoginUser loginUser, Long examRoomId);

    void save(Long userId, Long examRoomId, List<TimePeriodExamSiteReq> timePeriodExamSiteList);

    List<ExamRoomEntity> listExamRoom(Long examSiteId, Long timePeriodId, Boolean enable);

    List<TimePeriodExamRoomEntity> listExamRoom(Long examRoomId);

    List<TimePeriodExamRoomEntity> listByExamRoomIdsAndTimePeriodId(List<Long> examRoomIds, Long timePeriodId);
}
